/*
 * KernelConf - A Linux Kernel Configuration System
 *
 * Distributed under GNU General Public Lisence
 *
 * Copyright (C) 2002 by Anuradha Ratnaweera
 */

#ifndef _KCONF_EXPRESSIONS_H
#define _KCONF_EXPRESSIONS_H

#include "kernelconf.h"

ExpressionPtr parse_expressions(char*, ExpressionPtr);
TokenPtr evaluate_expression(ExpressionPtr);
Type get_generic_type(Type);
void free_token(TokenPtr);
char get_boolean_value(TokenPtr);

#endif /* _KCONF_EXPRESSIONS_H */
